    module sumit_01
    contains
    subroutine sumit(a,b,c)
    real(8),intent(in) :: a(:),b(:)
    real(8),intent(out):: c(:)
    integer na(1),nb(1),lbc(1),la(1),lb(1)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
    la=lbound(a);lb=lbound(b)
    print *,"la,lb=",la,lb
    na=ubound(a);nb=ubound(b)
    print *,"na,nb=",na,nb
    nc=na(1)+nb(1)
    lbc=lbound(c)
    print *,"lbc=",lbc
    do 1 ic=0,nc
1     c(ic)=0.Q0
    do ia=0,na(1)
        do ib=0,nb(1)
            ic=ia+ib
            c(ic)=c(ic)+a(ia)*b(ib)
        end do
    end do
    end subroutine
    end module
    
    program test49
    use sumit_01
    real*8 a(0:20)/21*1.D0/
    real*8 b(0:20)/21*2.d0/
    real*8 c(0:20)
    call sumit(a(0:5),b(0:5),c(0:10))
    print 101,C
101 format("c="/(8F10.4))
    read(*,*)
    end